Skip to main content
GET
/
Get a BoosterBox by token ID
curl --request GET \
  --url https://build.vibechain.com/vibe/boosterbox/ \
  --header 'API-KEY: <api-key>'
import requests

url = "https://build.vibechain.com/vibe/boosterbox/"

headers = {"API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};

fetch('https://build.vibechain.com/vibe/boosterbox/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "boosterBox": {
    "tokenId": 123,
    "contractAddress": "<string>",
    "chainId": 123,
    "owner": "<string>",
    "rarity": 2,
    "randomValue": "<string>",
    "tokenSpecificRandomness": "<string>",
    "mintedAt": "2023-11-07T05:31:56Z",
    "openedAt": "2023-11-07T05:31:56Z",
    "latestUpdateTimestamp": "2023-11-07T05:31:56Z",
    "metadata": {
      "name": "<string>",
      "description": "<string>",
      "image": "<string>",
      "external_url": "<string>",
      "attributes": [
        {
          "trait_type": "<string>",
          "value": "<string>",
          "display_type": "<string>"
        }
      ]
    },
    "contractDetails": {
      "gameId": "<string>",
      "tokenAddress": "<string>",
      "tokenName": "<string>",
      "tokenSymbol": "<string>",
      "nftName": "<string>",
      "nftSymbol": "<string>",
      "description": "<string>",
      "imageUrl": "<string>",
      "websiteUrl": "<string>",
      "isGraduated": true,
      "marketCap": "<string>",
      "marketCapUsd": "<string>",
      "preorderProgress": 123,
      "pricePerPack": "<string>",
      "pricePerPackUsd": "<string>",
      "dropContractAddress": "<string>",
      "ownerAddress": "<string>",
      "slug": "<string>",
      "bgColor": "<string>",
      "featuredImageUrl": "<string>",
      "packImage": "<string>",
      "isActive": true,
      "isFeatured": true,
      "isVerified": true,
      "isVerifiedArtist": true,
      "disableFoil": true,
      "disableWear": true,
      "links": {
        "twitter": "<string>",
        "discord": "<string>",
        "website": "<string>"
      },
      "version": "<string>",
      "chainId": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}

Headers

API-KEY
string
default:DEMO_REPLACE_WITH_FREE_API_KEY
required

Free API key needed to authorize requests. Get one at: https://docs.vibechain.com/api-reference/vibemarket-intro

Query Parameters

tokenId
integer
required

The token ID

contractAddress
string
required

The contract address

chainId
integer

The chain ID

includeMetadata
boolean
default:false

Whether to include metadata

includeContractDetails
boolean
default:false

Whether to include contract details

Response

Successful response

success
boolean
boosterBox
object